package cn.com.qmth.examcloud.api.commons.enums;

/**
 * 公告接受规则类型
 *
 * @author WANGWEI
 * @date 2019年6月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum NoticeReceiverRuleType {

	/**
	 * 归属考试的考生
	 */
	STUDENTS_OF_EXAM,

	/**
	 * 顶级机构下所有学生
	 */
	ALL_STUDENTS_OF_ROOT_ORG,

	/**
	 * 拥有角色的用户
	 */
	COMMON_USERS_OF_ROLE,

	/**
	 * 阅卷工作的老师
	 */
	TEACHER_OF_MARK_WORK

}
