package cn.com.qmth.examcloud.question.commons.core.question;

/**
 * 题型
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum QuestionType {

	/**
	 * 单选题
	 */
	SINGLE_CHOICE("单选题"),

	/**
	 * 多选题
	 */
	MULTIPLE_CHOICE("多选题"),

	/**
	 * 填空题
	 */
	FILL_UP("填空题"),

	/**
	 * 问答题
	 */
	ESSAY("问答题"),

	/**
	 * 判断题
	 */
	TRUE_OR_FALSE("判断题");

	// ===========================================================================

	/**
	 * 描述
	 */
	private String desc;

	/**
	 * 构造函数
	 *
	 * @param desc
	 */
	private QuestionType(String desc) {
		this.desc = desc;
	}

	/**
	 * @return the desc
	 */
	public String getDesc() {
		return desc;
	}

}
