package cn.com.qmth.examcloud.reports.commons.bean;

import cn.com.qmth.examcloud.reports.commons.enums.Tag;
import cn.com.qmth.examcloud.reports.commons.enums.Topic;

public class OnlineExamStudentReport extends BaseReport {

	private Long rootOrgId;
	private Long studentId;
	private Long examId;
	private Long examStudentId;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}
	public OnlineExamStudentReport() {
		super();
	}
	public OnlineExamStudentReport(Long rootOrgId, Long studentId, Long examId, Long examStudentId) {
		super();
		this.rootOrgId = rootOrgId;
		this.studentId = studentId;
		this.examId = examId;
		this.examStudentId = examStudentId;
		this.topic = Topic.REPORT_TOPIC.getCode();
		this.tag = Tag.ONLINE_EXAM_STUDENT.getCode();
	}

}
