package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

/**
 * 考试记录相关常用属性缓存
 * 注意：此缓存中只能添加不会发生改变的属性，否则需要埋点同步刷新缓存
 * @author lideyin
 * @date 2019年5月21日 下午4:26:19
 * @description 可根据需求扩展属性
 */
public class ExamRecordPropertyCacheBean extends RandomCacheBean {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4325869001570331457L;

	//考试id
	private Long examId;
	//组织机构id
	private Long orgId;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
}
