package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

import java.util.List;

/**
 * @Description 调卷规则信息
 * @Author lideyin
 * @Date 2019/7/30 14:36
 */
public class ExtractConfigCacheBean extends RandomCacheBean {
    private static final long serialVersionUID = 6309635978462557320L;

    /**
     * ID
     */
    protected String id;

    /**
     * 考试ID
     */
    private Long examId;

    /**
     * 课程代码
     */
    private String courseCode;

    /**
     * 抽取试卷对象集合
     */
    private List<ExtractConfigDetailCacheBean> details;

    /**
     * 是否小题乱序
     */
    Boolean sortQuestionOrder;

    /**
     * 是否选项乱序
     */
    Boolean sortOptionOrder;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public List<ExtractConfigDetailCacheBean> getDetails() {
        return details;
    }

    public void setDetails(List<ExtractConfigDetailCacheBean> details) {
        this.details = details;
    }

    public Boolean getSortQuestionOrder() {
        return sortQuestionOrder;
    }

    public void setSortQuestionOrder(Boolean sortQuestionOrder) {
        this.sortQuestionOrder = sortQuestionOrder;
    }

    public Boolean getSortOptionOrder() {
        return sortOptionOrder;
    }

    public void setSortOptionOrder(Boolean sortOptionOrder) {
        this.sortOptionOrder = sortOptionOrder;
    }

}