package cn.com.qmth.examcloud.support.excel;

import java.util.ArrayList;
import java.util.List;

public class ExcelSheet {
	private String dimension;
	private List<ExcelRow> rows=new ArrayList<ExcelRow>();

	public String getDimension() {
		return dimension;
	}

	public void setDimension(String dimension) {
		this.dimension = dimension;
	}

	public List<ExcelRow> getRows() {
		return rows;
	}

	public void setRows(List<ExcelRow> rows) {
		this.rows = rows;
	}
	
	public void addRow(ExcelRow row) {
		rows.add(row);
	}
	
	public void clearRows() {
		rows=new ArrayList<ExcelRow>();
	}
	
	public int getRowCount() {
		return rows.size();
	}

}
