package cn.com.qmth.examcloud.support.redis;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * redis key定义
 *
 * @author WANGWEI
 * @date 2019年12月12日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RedisKeyDefine {

	String value();

	String Prefix();
}
