package cn.com.qmth.examcloud.web.support;

import java.io.IOException;

import org.springframework.http.client.ClientHttpResponse;
import org.springframework.web.client.ResponseErrorHandler;

/**
 * 定制版<br>
 * 不抛出异常,也不处理错误
 *
 * @author WANGWEI
 * @date 2018年5月26日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class CustomResponseErrorHandler implements ResponseErrorHandler {

	@Override
	public boolean hasError(ClientHttpResponse response) throws IOException {
		return false;
	}

	@Override
	public void handleError(ClientHttpResponse response) throws IOException {

	}

}
