package cn.com.qmth.examcloud.web.support;

/**
 * 状态响应实体扩展
 *
 *
 * @author WANGWEI
 * @date 2019年4月28日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 * @param <T>
 */
public class StatusResponseX<T> extends StatusResponse {

	private static final long serialVersionUID = 8393074113722405560L;

	private T content;

	/**
	 * 构造函数
	 *
	 */
	public StatusResponseX() {
		super();
		setCode("200");
		setDesc("成功");
	}

	/**
	 * 构造函数
	 *
	 * @param content
	 */
	public StatusResponseX(T content) {
		super();
		setCode("200");
		setDesc("成功");
		this.content = content;
	}

	public T getContent() {
		return content;
	}

	public void setContent(T content) {
		this.content = content;
	}

}