package cn.com.qmth.examcloud.api.commons.enums;

/**
 * 页面boolean选择
 *
 * @author WANGWEI
 * @date 2018年12月24日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum BooleanSelect {

	/**
	 * 未指定
	 */
	UNDEFINED,

	/**
	 * true
	 */
	TRUE,

	/**
	 * false
	 */
	FALSE;

	/**
	 * 获取boolean
	 *
	 * @author WANGWEI
	 * @param value
	 * @return
	 */
	public Boolean getBoolean() {
		if (UNDEFINED.equals(this)) {
			return null;
		} else if (TRUE.equals(this)) {
			return true;
		} else {
			return false;
		}
	}

}
