package cn.com.qmth.examcloud.api.commons.enums;

/**
 * 考试特殊设置类型
 *
 * @author WANGWEI
 * @date 2019年10月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum ExamSpecialSettingsType {

	/**
	 * 机构维度
	 */
	ORG_BASED,

	/**
	 * 学生维度
	 */
	STUDENT_BASED,

	/**
	 * 课程维度
	 */
	COURSE_BASED,

	/**
	 * 场次维度
	 */
	STAGE_BASED

}
