package cn.com.qmth.examcloud.api.commons.security.bean;

/**
 * 用户类型
 *
 * @author WANGWEI
 * @date 2018年5月25日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum UserType {

	/**
	 * 学生
	 */
	STUDENT("S", "学生"),

	/**
	 * 常规用户
	 */
	COMMON("C", "常规用户");

	// ===========================================================================

	/**
	 * 码
	 */
	private String code;

	/**
	 * 描述
	 */
	private String desc;

	/**
	 * 构造函数
	 *
	 * @param code
	 * @param desc
	 */
	private UserType(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * @return the desc
	 */
	public String getDesc() {
		return desc;
	}

}
