package cn.com.qmth.examcloud.commons.helpers.concurrency.simple;

import java.util.concurrent.atomic.AtomicInteger;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class WorkerController {

	private static final Logger LOG = LoggerFactory.getLogger(WorkerController.class);

	private AtomicInteger warnCount = new AtomicInteger(0);

	public void addConcurrencyWarn() {
		LOG.info("warn count ++");
		this.warnCount.incrementAndGet();
	}

	public int getWarnCount() {
		return this.warnCount.get();
	}

	public void resetWarnCount() {
		warnCount.set(0);
	}

}
