package cn.com.qmth.examcloud.test.pipeline;

import java.util.List;

import cn.com.qmth.examcloud.commons.helpers.KeyValuePair;
import cn.com.qmth.examcloud.commons.helpers.ObjectHolder;
import cn.com.qmth.examcloud.commons.helpers.pipeline.NodeExecuter;
import cn.com.qmth.examcloud.commons.helpers.pipeline.TaskContext;

public class PrintExecuter implements NodeExecuter<String, String, String, String> {

	@Override
	public void execute(String key, String value, List<KeyValuePair<String, String>> outList,
			ObjectHolder<Boolean> removable, TaskContext context) throws Exception {
		System.out.println("Print: " + key + " -> " + value);
	}

}
