package cn.com.qmth.examcloud.question.commons.core.paper;

import java.io.Serializable;

import cn.com.qmth.examcloud.question.commons.core.question.AnswerType;
import cn.com.qmth.examcloud.question.commons.core.question.QuestionType;

/**
 * 题单元包装器
 *
 * @author WANGWEI
 * @date 2018年8月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionUnitWrapper implements Serializable {

	private static final long serialVersionUID = 7584275153456817959L;

	/**
	 * 选项排序值
	 */
	private Integer[] optionPermutation;

	/**
	 * 题分数
	 */
	private Double questionScore;

	/**
	 * 题型
	 */
	private QuestionType questionType;

	/**
	 * 作答类型
	 */
	private AnswerType answerType;

	public Integer[] getOptionPermutation() {
		return optionPermutation;
	}

	public void setOptionPermutation(Integer[] optionPermutation) {
		this.optionPermutation = optionPermutation;
	}

	public Double getQuestionScore() {
		return questionScore;
	}

	public void setQuestionScore(Double questionScore) {
		this.questionScore = questionScore;
	}

	public QuestionType getQuestionType() {
		return questionType;
	}

	public void setQuestionType(QuestionType questionType) {
		this.questionType = questionType;
	}

	public AnswerType getAnswerType() {
		return answerType;
	}

	public void setAnswerType(AnswerType answerType) {
		this.answerType = answerType;
	}

}
