package cn.com.qmth.examcloud.question.commons.core.question;

import java.io.Serializable;
import java.util.List;

/**
 * 题结构<完整题机构>
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionStructure implements Serializable {

	private static final long serialVersionUID = 4744728219699873386L;

	/**
	 * 题结构体
	 */
	private String body;

	/**
	 * 版本号
	 */
	private String version;

	/**
	 * 是否有音频
	 */
	private boolean hasAudios;

	/**
	 * 体单元集合
	 */
	private List<DefaultQuestionUnit> questionUnitList;

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public boolean isHasAudios() {
		return hasAudios;
	}

	public void setHasAudios(boolean hasAudios) {
		this.hasAudios = hasAudios;
	}

	public List<DefaultQuestionUnit> getQuestionUnitList() {
		return questionUnitList;
	}

	public void setQuestionUnitList(List<DefaultQuestionUnit> questionUnitList) {
		this.questionUnitList = questionUnitList;
	}

}