package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

/**
 * exam student
 *
 * @author WANGWEI
 * @date 2019年12月10日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamStudentCacheBean extends RandomCacheBean {

	private static final long serialVersionUID = -645838123919802377L;

	/**
	 * 考生ID
	 */
	private Long examStudentId;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 学生ID
	 */
	private Long studentId;

	/**
	 * 课程ID
	 */
	private Long courseId;

	/**
	 * 已经考试的次数
	 */
	private Integer usedNum;

	/**
	 * 补加的考试次数
	 */
	private Integer extraNum;

	/**
	 * 是否可用
	 */
	private Boolean enable;

	/**
	 * 试卷类型
	 */
	private String paperType;

	/**
	 * 年级
	 */
	private String grade;

	/**
	 * 场次id
	 */
	private Long examStageId;

	/**
	 * 场次号
	 */
	private Integer examStageOrder;

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public Integer getUsedNum() {
		return usedNum;
	}

	public void setUsedNum(Integer usedNum) {
		this.usedNum = usedNum;
	}

	public Integer getExtraNum() {
		return extraNum;
	}

	public void setExtraNum(Integer extraNum) {
		this.extraNum = extraNum;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public Long getExamStageId() {
		return examStageId;
	}

	public void setExamStageId(Long examStageId) {
		this.examStageId = examStageId;
	}

	public Integer getExamStageOrder() {
		return examStageOrder;
	}

	public void setExamStageOrder(Integer examStageOrder) {
		this.examStageOrder = examStageOrder;
	}
}
