package cn.com.qmth.examcloud.support.cache.bean;

import cn.com.qmth.examcloud.web.cache.RandomCacheBean;

/**
 * @Description 调卷规则的详细抽取试卷规则
 * @Author lideyin
 * @Date 2019/7/30 14:36
 */
public class ExtractConfigDetailCacheBean extends RandomCacheBean {
    private static final long serialVersionUID = 6309635978462557320L;

    /**
     * 试卷类型
     */
    private String groupCode;

    /**
     * 关联试卷
     */
    private String paperId;

    /**
     * 抽取权重比例
     * 整数类型 例如：70%  数据库里存70
     */
    private Integer weight;

    public ExtractConfigDetailCacheBean() {

    }

    public ExtractConfigDetailCacheBean(String groupCode, String paperId, Integer weight) {
        this.groupCode = groupCode;
        this.paperId = paperId;
        this.weight = weight;
    }

    public String getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    public String getPaperId() {
        return paperId;
    }

    public void setPaperId(String paperId) {
        this.paperId = paperId;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

}