package cn.com.qmth.examcloud.web.cache;

import java.io.Serializable;

/**
 * 随机缓存基类
 *
 * @author WANGWEI
 * @date 2019年9月5日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public abstract class RandomCacheBean implements Serializable {

	private static final long serialVersionUID = 5409197052989051020L;

	/**
	 * 版本
	 */
	private String version;

	/**
	 * 缓存是否有值(防缓存穿透)
	 */
	private Boolean hasValue = true;

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public Boolean getHasValue() {
		return hasValue;
	}

	public void setHasValue(Boolean hasValue) {
		this.hasValue = hasValue;
	}

}
