package cn.com.qmth.examcloud.web.cache;

import cn.com.qmth.examcloud.api.commons.enums.BasicDataType;
import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;

/**
 * 刷新Hash缓存请求
 *
 * @author 
 * @date 2019年5月9日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class RefreshHashCacheReq extends BaseRequest {


	/**
     * 
     */
    private static final long serialVersionUID = 3251806982238101789L;

    private String className;

	private String[] keys;

	private BasicDataType[] typeArray;
	
	private String[] subKeys;

    private BasicDataType[] subTypeArray;

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

	public String[] getKeys() {
		return keys;
	}

	public void setKeys(String[] keys) {
		this.keys = keys;
	}

	public BasicDataType[] getTypeArray() {
		return typeArray;
	}

	public void setTypeArray(BasicDataType[] typeArray) {
		this.typeArray = typeArray;
	}

    
    public String[] getSubKeys() {
        return subKeys;
    }

    
    public void setSubKeys(String[] subKeys) {
        this.subKeys = subKeys;
    }

    
    public BasicDataType[] getSubTypeArray() {
        return subTypeArray;
    }

    
    public void setSubTypeArray(BasicDataType[] subTypeArray) {
        this.subTypeArray = subTypeArray;
    }


}
