package cn.com.qmth.examcloud.web.jpa;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;

/**
 * status
 *
 * @author WANGWEI
 * @date 2019年2月20日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@MappedSuperclass
public abstract class WithStatusJpaEntity extends JpaEntity {

	private static final long serialVersionUID = -5204331536862187353L;

	/**
	 * 是否可用
	 */
	@Column(nullable = false)
	private Boolean enabled;

	/**
	 * 是否被销毁
	 */
	@Column(nullable = false)
	private Boolean destroyed;

	public Boolean getEnabled() {
		return enabled;
	}

	public void setEnabled(Boolean enabled) {
		this.enabled = enabled;
	}

	public Boolean getDestroyed() {
		return destroyed;
	}

	public void setDestroyed(Boolean destroyed) {
		this.destroyed = destroyed;
	}

}